import { JavaObject } from '../../../java/lang/JavaObject';
export declare class LehrerPersonaldaten extends JavaObject {
    id: number;
    identNrTeil1: String | null;
    identNrTeil2SerNr: String | null;
    personalaktennummer: String | null;
    lbvPersonalnummer: String | null;
    lbvVerguetungsschluessel: String | null;
    zugangsdatum: String | null;
    zugangsgrund: String | null;
    abgangsdatum: String | null;
    abgangsgrund: String | null;
    pflichtstundensoll: Number | null;
    rechtsverhaeltnis: String | null;
    beschaeftigungsart: String | null;
    einsatzstatus: String | null;
    stammschulnummer: String | null;
    masernImpfnachweis: Boolean | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): LehrerPersonaldaten;
    static transpilerToJSON(obj: LehrerPersonaldaten): string;
    static transpilerToJSONPatch(obj: Partial<LehrerPersonaldaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_lehrer_LehrerPersonaldaten(obj: unknown): LehrerPersonaldaten;
